package com.ruoyi.generator.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.List;

/**
 * 代码模版对象 sys_template
 * 
 * @author ruoyi
 * @date 2023-11-24
 */
public class Template extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long templateId;

    /** 模版名称 */
    @Excel(name = "模版名称")
    private String templateName;

    /** 模版路径 */
    @Excel(name = "模版路径")
    private String templatePath;

    /** 模版描述 */
    @Excel(name = "模版描述")
    private String templateDesc;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private String templateType;

    /** 状态 */
    @Excel(name = "状态")
    private Long templateStatus;

    /** 模板文件列表 */
    private List<TemplateFile> templateFiles;

    public void setTemplateId(Long templateId) 
    {
        this.templateId = templateId;
    }

    public Long getTemplateId() 
    {
        return templateId;
    }
    public void setTemplateName(String templateName) 
    {
        this.templateName = templateName;
    }

    public String getTemplateName() 
    {
        return templateName;
    }
    public void setTemplatePath(String templatePath) 
    {
        this.templatePath = templatePath;
    }

    public String getTemplatePath() 
    {
        return templatePath;
    }
    public void setTemplateDesc(String templateDesc) 
    {
        this.templateDesc = templateDesc;
    }

    public String getTemplateDesc() 
    {
        return templateDesc;
    }

    public void setTemplateType(String templateType)
    {
        this.templateType = templateType;
    }

    public String getTemplateType()
    {
        return templateType;
    }

    public void setTemplateStatus(Long templateStatus) 
    {
        this.templateStatus = templateStatus;
    }

    public Long getTemplateStatus() 
    {
        return templateStatus;
    }

    public List<TemplateFile> getTemplateFiles()
    {
        return templateFiles;
    }

    public void setTemplateFiles(List<TemplateFile> templateFiles)
    {
        this.templateFiles = templateFiles;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("templateId", getTemplateId())
            .append("templateName", getTemplateName())
            .append("templatePath", getTemplatePath())
            .append("templateDesc", getTemplateDesc())
            .append("templateType", getTemplateType())
            .append("templateStatus", getTemplateStatus())
            .append("templateFiles", getTemplateFiles())
            .toString();
    }
}
